org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxAbstractEnlistFuture.LockTimeoutObject

- java.lang.Object
- - org.apache.ignite.internal.processors.timeout.GridTimeoutObjectAdapter
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxAbstractEnlistFuture.LockTimeoutObject

All Implemented Interfaces:
  GridTimeoutObject

Enclosing class:
  GridDhtTxAbstractEnlistFuture<T>

    protected class GridDhtTxAbstractEnlistFuture.LockTimeoutObject
    extends GridTimeoutObjectAdapter

Lock request timeout object.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onTimeout()` Timeout callback.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.timeout.GridTimeoutObjectAdapter

`endTime, timeoutId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### onTimeout

    public void onTimeout()

Timeout callback.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021